summaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
authorjomo <github@jomo.tv>2015-08-13 00:22:13 +0200
committerjomo <github@jomo.tv>2015-08-13 00:22:13 +0200
commitfe56d1e2f4f34a2f76885f242c2f2a864273a155 (patch)
tree82977ec28555fc97a3ec35fac843aec0645456ed /setup.sh
parent6d7bd233da6c2bd36b1047f1faa95e92e941ae54 (diff)
check requirements before trying to setup
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
index 3232ec7..3748cca 100755
--- a/setup.sh
+++ b/setup.sh
@@ -3,6 +3,15 @@
# exit on failure
set -e
+for cmd in curl java unzip git pip; do
+ if ! which -s "$cmd"; then
+ tput setf 4 >&2
+ echo "Error: please install '$cmd' to proceed" >&2
+ tput sgr0 >&2
+ exit 1
+ fi
+done
+
echo -e "> This will only set up Spigot and all the plugins, configuration files are still up to you to manage"
echo -e "> Press enter to coninue"
read